﻿using System;

namespace Wisej.StockQuotesSample
{
	public delegate void QuotesUpdatedEventHandler(object sender, QuotesUpdatedEventargs e);

	public class QuotesUpdatedEventargs: EventArgs
	{
		public QuotesUpdatedEventargs(string[] changedStocks, double[] changedQuotes)
		{
			this.Stocks = changedStocks;
			this.Quotes = changedQuotes;
		}

		public string[] Stocks
		{
			get;
			private set;
		}

		public double[] Quotes
		{
			get;
			private set;
		}
	}
}